Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.unibi.techfak.InSilicoDicer.OperatingPackage.SearchMethods.SearchBySequence
Class SWalign

    java.lang.Object
      de.unibi.techfak.InSilicoDicer.OperatingPackage.SearchMethods.SearchBySequence.SWalign

All Implemented Interfaces:
  ILocalAlign, java.io.Serializable

    public class SWalign

extends java.lang.Object
implements ILocalAlign, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID` set serial Version of current opbject

Constructor Summary
`SWalign()`

Method Summary
`int` | `align(int inDELscore, int rpSCORE, int matchSCORE, java.lang.String searchSeq, java.lang.String dbSeq)` Executes a Local Alignment Action where searchSeq is the Nuleotide Sequence to align with all possible Precursor Sequences (dbSeq) in the miRNAdatabase
`int` | `maximum(int x, int y, int z, int w)`
`void` | `swBuildMatrix(int inDELscore, int rpSCORE, int matchSCORE, java.lang.String searchSeq, java.lang.String dbSeq)`
`int` | `swFindMaxScore(int[][] matrix, java.lang.String searchSeq, java.lang.String dbSeq)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

  set serial Version of current opbject

  See Also:
    Constant Field Values

Constructor Detail

### SWalign

    public SWalign()

Method Detail

### align

    public int align(int inDELscore,
                     int rpSCORE,
                     int matchSCORE,
                     java.lang.String searchSeq,
                     java.lang.String dbSeq)

  Description copied from interface: `ILocalAlign`
  Executes a Local Alignment Action where searchSeq is the Nuleotide Sequence to align with all possible Precursor Sequences (dbSeq) in the miRNAdatabase

  Specified by:
    `align` in interface `ILocalAlign`
  Returns:
    The similarity of two precursor sequences.

### maximum

    public int maximum(int x,
                       int y,
                       int z,
                       int w)

### swBuildMatrix

    public void swBuildMatrix(int inDELscore,
                              int rpSCORE,
                              int matchSCORE,
                              java.lang.String searchSeq,
                              java.lang.String dbSeq)

### swFindMaxScore

    public int swFindMaxScore(int[][] matrix,
                              java.lang.String searchSeq,
                              java.lang.String dbSeq)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD